Bug 1582579 - Using a new device for creating non vdo volume is being blocked
Summary: Using a new device for creating non vdo volume is being blocked
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.11.7
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ovirt-4.2.4
: ---
Assignee: Gobinda Das
QA Contact: bipin
URL:
Whiteboard:
Depends On:
Blocks: cockpit-ovirt-0.11.28 1582564
TreeView+ depends on / blocked
 
Reported: 2018-05-25 15:59 UTC by bipin
Modified: 2018-06-26 08:35 UTC (History)
6 users (show)

Fixed In Version: cockpit-ovirt-0.11.28-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1582564
Environment:
Last Closed: 2018-06-26 08:35:35 UTC
oVirt Team: Gluster
sabose: ovirt-4.2?
sabose: blocker?
bshetty: planning_ack?
rule-engine: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 92017 0 master MERGED Allowing deduped/non-deduped devices in brick creation 2018-06-06 17:17:25 UTC
oVirt gerrit 92020 0 ovirt-4.2 MERGED Allowing deduped/non-deduped devices in brick creation 2018-06-06 17:21:17 UTC

Comment 2 SATHEESARAN 2018-05-31 12:51:16 UTC
After conversing with Gobinda, this looks like a known design issue that either customer can create VDO enabled volumes or volumes without dedupe & compression.

This might not be useful for some scenarios. For instance, if the customer/user wants to create couple of volumes, one replica 3 volume with dedupe & compression enabled , and other arbitrated replicate volume, and doesn't want to enable to dedupe & compression on the arbiter bricks, this will not help.

This is a blocker in those cases.

@Sahina, what do you think ?

Comment 3 SATHEESARAN 2018-06-02 02:43:23 UTC
Also noticed that the mix of volumes with compression&dedupe enabled and disabled can't be created during RHHI deployment. This also seem to be a problem

Comment 4 Sahina Bose 2018-06-06 11:32:13 UTC
Yes, we should be allowing a mix of deduped/non-deduped devices as long as the devices are different.
Gobinda, can this be addressed?

Comment 6 Gobinda Das 2018-06-06 12:08:51 UTC
Sahina,
 I am checking and will update.

Comment 7 bipin 2018-06-19 07:03:24 UTC
Moving the bug as verified. Tested in version cockpit-ovirt-dashboard-0.11.28

Comment 8 Sandro Bonazzola 2018-06-26 08:35:35 UTC
This bugzilla is included in oVirt 4.2.4 release, published on June 26th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.4 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.